// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EOLBR
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLBR的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
type EOLBR struct {
	NAME            string        `xorm:"nvarchar(255) 'NAME'" json:"EOLBR-NAME"`
	CODE            string        `xorm:"nvarchar(255) 'CODE'" json:"EOLBR-CODE"`
	TESTDATA        grmi.DateTime `xorm:"datetime 'TESTDATA'" json:"EOLBR-TESTDATA"`
	SBRNOLOADLEFT   string        `xorm:"nvarchar(255) 'SBRNOLOADLEFT'" json:"EOLBR-SBRNOLOADLEFT"`
	SBRNOLOADMID    string        `xorm:"nvarchar(255) 'SBRNOLOADMID'" json:"EOLBR-SBRNOLOADMID"`
	SBRNOLOADRIGHT  string        `xorm:"nvarchar(255) 'SBRNOLOADRIGHT'" json:"EOLBR-SBRNOLOADRIGHT"`
	SBRNOLOADRESULT string        `xorm:"nvarchar(255) 'SBRNOLOADRESULT'" json:"EOLBR-SBRNOLOADRESULT"`
	SBRLOADLEFT     string        `xorm:"nvarchar(255) 'SBRLOADLEFT'" json:"EOLBR-SBRLOADLEFT"`
	SBRLOADMID      string        `xorm:"nvarchar(255) 'SBRLOADMID'" json:"EOLBR-SBRLOADMID"`
	SBRLOADRIGHT    string        `xorm:"nvarchar(255) 'SBRLOADRIGHT'" json:"EOLBR-SBRLOADRIGHT"`
	SBRLOADRESULT   string        `xorm:"nvarchar(255) 'SBRLOADRESULT'" json:"EOLBR-SBRLOADRESULT"`
	TOTALRESULT     string        `xorm:"nvarchar(255) 'TOTALRESULT'" json:"EOLBR-TOTALRESULT"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
func (self *EOLBR) GetKey() core.PK {
	return core.PK{}
}
